Poisson Distributions
Random Number Distributions
Collaboration diagram for Poisson Distributions:

## Classes

class | std::discrete_distribution< _IntType >
class | std::exponential_distribution< _RealType >
class | std::extreme_value_distribution< _RealType >
class | std::piecewise_constant_distribution< _RealType >
class | std::piecewise_linear_distribution< _RealType >
class | std::poisson_distribution< _IntType >
class | std::weibull_distribution< _RealType >

## Functions

template<typename _IntType >
bool | std::operator!= (const std::poisson_distribution< _IntType > &__d1, const std::poisson_distribution< _IntType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::exponential_distribution< _RealType > &__d1, const std::exponential_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::weibull_distribution< _RealType > &__d1, const std::weibull_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::extreme_value_distribution< _RealType > &__d1, const std::extreme_value_distribution< _RealType > &__d2)
template<typename _IntType >
bool | std::operator!= (const std::discrete_distribution< _IntType > &__d1, const std::discrete_distribution< _IntType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::piecewise_constant_distribution< _RealType > &__d1, const std::piecewise_constant_distribution< _RealType > &__d2)
template<typename _RealType >
bool | std::operator!= (const std::piecewise_linear_distribution< _RealType > &__d1, const std::piecewise_linear_distribution< _RealType > &__d2)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::exponential_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::weibull_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_ostream< _CharT, _Traits > & | std::operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::extreme_value_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::exponential_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::weibull_distribution< _RealType > &__x)
template<typename _RealType , typename _CharT , typename _Traits >
std::basic_istream< _CharT, _Traits > & | std::operator>> (std::basic_istream< _CharT, _Traits > &__is, std::extreme_value_distribution< _RealType > &__x)

## Detailed Description

## Function Documentation

template<typename _IntType >

bool std::operator!= | ( | const std::poisson_distribution< _IntType > & | __d1,
|  | const std::poisson_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two Poisson distributions are different.

Definition at line 4625 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::exponential_distribution< _RealType > & | __d1,
|  | const std::exponential_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two exponential distributions have different parameters.

Definition at line 4803 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::weibull_distribution< _RealType > & | __d1,
|  | const std::weibull_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two Weibull distributions have different parameters.

Definition at line 5006 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::extreme_value_distribution< _RealType > & | __d1,
|  | const std::extreme_value_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two extreme value distributions have different parameters.

Definition at line 5209 of file random.h.

template<typename _IntType >

bool std::operator!= | ( | const std::discrete_distribution< _IntType > & | __d1,
|  | const std::discrete_distribution< _IntType > & | __d2
| ) |  |

inline

Return true if two discrete distributions have different parameters.

Definition at line 5469 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::piecewise_constant_distribution< _RealType > & | __d1,
|  | const std::piecewise_constant_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two piecewise constant distributions have different parameters.

Definition at line 5736 of file random.h.

template<typename _RealType >

bool std::operator!= | ( | const std::piecewise_linear_distribution< _RealType > & | __d1,
|  | const std::piecewise_linear_distribution< _RealType > & | __d2
| ) |  |

inline

Return true if two piecewise linear distributions have different parameters.

Definition at line 6006 of file random.h.

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::exponential_distribution< _RealType > & | __x
| ) |  |

Inserts a exponential_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A exponential_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 1883 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::weibull_distribution< _RealType > & | __x
| ) |  |

Inserts a weibull_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A weibull_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2674 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_ostream< _CharT, _Traits > & std::operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::extreme_value_distribution< _RealType > & | __x
| ) |  |

Inserts a extreme_value_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A extreme_value_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

Definition at line 2750 of file bits/random.tcc.

References std::ios_base::flags(), std::left(), and std::scientific().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::exponential_distribution< _RealType > & | __x
| ) |  |

Extracts a exponential_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A exponential_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 1906 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::exponential_distribution< _RealType >::param(), and std::skipws().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::weibull_distribution< _RealType > & | __x
| ) |  |

Extracts a weibull_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A weibull_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2698 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::weibull_distribution< _RealType >::param(), and std::skipws().

template<typename _RealType , typename _CharT , typename _Traits >

std::basic_istream< _CharT, _Traits > & std::operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::extreme_value_distribution< _RealType > & | __x
| ) |  |

Extracts a extreme_value_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A extreme_value_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

Definition at line 2774 of file bits/random.tcc.

References std::dec(), std::ios_base::flags(), std::extreme_value_distribution< _RealType >::param(), and std::skipws().